20.04 grub menu not visible

Bug #1863434 reported by Bill (franksmcb) on 2020-02-15

This bug report will be marked for expiration in 53 days if no further activity occurs. (find out why)

154
This bug affects 31 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
High
Unassigned

Bug Description

T430
Ubuntu MATE 20.04

New installation.

After initial boot there is a blank black screen where grub should be visible.
Grub is functional but not visible.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: grub-common 2.04-1ubuntu18
ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
Uname: Linux 5.4.0-14-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu16
Architecture: amd64
CurrentDesktop: MATE
Date: Sat Feb 15 09:19:13 2020
InstallationDate: Installed on 2020-02-14 (0 days ago)
InstallationMedia: Ubuntu-MATE 20.04 LTS "Focal Fossa" - Alpha amd64 (20200214)
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: grub2
UpgradeStatus: No upgrade log present (probably fresh install)

Bill (franksmcb) (franksmcb) wrote :
Bill (franksmcb) (franksmcb) wrote :

I am not seeing this behavior on 2020-02-16 ISO.

tom (gcvl) wrote :

I'm having the same exact issue on HP EliteBook 8460p. Workarounds I found are downgrading to grub 2.02 from Bionic or upgrading to 2.04-5 from Debian.

tom (gcvl) wrote :
tom (gcvl) wrote :
tom (gcvl) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub2 (Ubuntu):
status: New → Confirmed
Fritz Hudnut (este-el-paz) wrote :

I'd like to add myself into the mix here . . . with a recent apt update/upgrade in both Lu 20.04 and U-MATE 20.04 . . . "grub" and a few other packages were run and subsequently the visible grub page that shows my 5 linux installs was wiped . . . leaving only the ubuntu systems as bootable in my '12 MacPro.

I have a somewhat "complicated" set up with multi-booting OSX and linux in two out of three drives, but until this recent round of ubuntu updates I never had a GUI window open in the console saying, "grub doesn't know where to go, where should it go?" . . . and then having a "universal" effect on "grub" such that only ubuntu was showing from one EFI disk image.

The first time I ran this I was in Lu 20.04 . . . and that busted up grub pretty good, had to get my SG2 disk out and after numerous reboots was able to find my way to an older OpenSUSE based grub window . . . and then I could boot the various other options . . . . But it was only after running the Lu upgrade that this problem happened. I posted to Lu-devel list serve . . . waiting for a reply on that one.

To "fix" the problem I booted into Lu 20 and I chrooted over to the OpenSUSE filesystem Yast and used their os-prober . . . and rebooting a number of times I found that indeed "grub" was using the TW grub window and I was able to choose among a few of my systems.

While I was doing that I rebooted into U-MATE 20.04 today and ran an apt update/upgrade and sure enough there again was "grub" and a few other "grub" packages . . . for scientific purposes I just ran it . . . and around 95% of the install, again the GUI window opened asking me, "Grub can't find itself, where do you want grub to go?" This time I checked all three of the options, and after finishing the upgrade I rebooted into OSX bootmanager and this time two out of three disks only booted U-MATE?????? So the ubuntu "grub" seems to be commandeering the controls and setting grub to just boot . . . itself???

From the console in U-MATE 20 I repeated my maneuver of chrooting into TW and running the os-prober . . . once again I have a "main grub" menu . . . visible to my aging eyes. . . .

Seems like there is some kind of issue working around through the various OSs using EFI boot and grub . . . I believe I had a similar issue over in TW a few months back, which is what got me to the "chroot" solution . . . and possibly in Siduction as well . . . problem still seems to be happening . . . .

chz bacon (chzbacon) wrote :

Jumping in on this bug as well. Installed the daily from April 18, 2020 on a Lenovo Thinkpad T440s and had the same issue.

After installing I had no grub boot menu upon rebooting. I edited /etc/default/grub and changed a few lines but that didn't seem to work. I also tried to reinstall grub but that didn't work either.

Package: grub-efi-amd64
Version: 2.04-1ubuntu26

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1863434

tags: added: iso-testing

I am having this issue too. I have a Dell Vostro 5470 notebook, i5-4210U processor, 8GiB DDR3 RAM, 480GB SSD and a GeForce GT 740M. I have a dual boot instalation alongside Windows 10. After installing Ubuntu 20.04, after the POST screen, all that is shown is a blank screen with a cursor (not blinking) and, after a while, Ubuntu is loaded. Using the arrow keys I am able to select another option, but I can't see them.

I tried installing grub-customizer and changing some options (like grub resolution and font style and size), but it didn't work. Below it the grub version that is installed:

Package: grub2
Version: 2.04-1ubuntu26
Priority: extra
Section: universe/admin
Origin: Ubuntu
Maintainer: Ubuntu Developers <email address hidden>
Original-Maintainer: GRUB Maintainers <email address hidden>

Just from a fast scan of the posts it seems like the common factor might be
the gpu?? Grub is having problems with the gpu??

Rafael (rafaelsmazzer) wrote :

Same here.
1st try: After install i had to use power button to restart because system reboot froze in tty. First boot went normal but grub never showed up. At the second boot grub still didn't appear and the system froze on a blank screen. I wasn't able to change to tty and had to reboot using power button.
2nd try: Downloaded ubuntu 20.04 again and created a usb disk using Rufus. Installed the system, had to use power button to restart because system still froze on reboot. First boot went normal but grub never showed up. This time i edited /etc/default/grub changing option hidden to menu and timeout to 10. Updated grub and rebooted. Grub still didn't appear and the system froze on blank screen again.

Dell Vostro 5470
Nvidia Geforce GT 7400m - driver 440 installed automatically on system installation
Dual boot windows 10

Fritz Hudnut (este-el-paz) wrote :

BTW . . . I had similar issues with getting my various linux distros to
produce a TTY in nouveau, so I got advice to "go nvidia driver" . . . so I
did that, but then, because I'm in rolling or devel for most of them, stuff
started "breaking" with update/upgrades . . . because I don't think nvidia
is "keeping pace" with the bleeding edge distros, or perhaps even leading
edge . . . . My card is maybe 7400??? posted on the nvidia linux forum,
guy got back to me, basically said, "Your card is very old news, so don't
hold your breath" . . . so I didn't. Went back to nouveau in my ubuntu
20.04 installs, and some opensuse . . . but for tumbleweed I went with
"default" by not accepting nouveau in the install . . . not sure which
driver it is, but display is just as crispy . . . it's fine.

But, this "grub not showing the menu" issue seems to be working it's way
through all of the various distros . . . I did my chroot maneuver that
worked last time, didn't seem to get it this time . . . but, now in my
MacPro if I boot with no "alt/option" key held I get an OSX dmesg-like
window that loads and then "welcome to grub" shows up, but, if I hold
alt/option to an EFI disk boot . . . grub is all busted up . . . .

swnw (swnw) wrote :

Hi,

I have this same issue. I use Huawei Mate X Pro i5, 256 MB and two external SSD: Samsung Portable SSD5 500MB with Elementary OS 5.1.2 and Samsung SSD840 Evo 120 GB with Ubuntu 20.04 installed three days ago. Focal Fossa works fine I'm really impressed but Grub menu is not visible during the start. It's doesn't matter if everything goes well but in troubles advanced options are necessary. Hera starts properly and Grub menu is visible and I can use it.
I hope the problem will be solve soon.

Regards, swnw

swnw (swnw) wrote :

I can't see edit possibility than I have little comment. I installed both Linux distros using my second PC with unplugged boot HD (EFI), so in both cases Linux installer had only one option, install system on external SSD. Now during Huawei start I press F12 and I can choose which system I want to start, Huawei Mate X Pro have Windows 10 preinstalled, I rare use it but it's handy from time to time.
So Elementary 5.1.2 and Ubuntu 20.04 starts separately each time. I don't have common Grub Menu.

swnw

swnw (swnw) wrote :

Looks like delete is impossible too?

My problem is probably solved, I wrote "probably" because during the procedure I can saw few errors which I can't explain, so we'll see.

I use the first method from the "linuxconfig.org/ubuntu-boot-repair", im my second PC I disconnected boot HD, then installed Boot-Repair, pressed "Recomended repair" and restarted Ubuntu 20.04 and Grub menu appeared. So far so good.
Then I made an experiment, I installed Ubuntu 20.04 with boot HD unplugged on my old Hitachi 2.5' HD using fresh iso image downloaded fron Ubuntu download section, prepared new USB bootable pendrive using BalenaEatcher, started Ubuntu and again Grub menu wasn't visible.
So I installed Boot-Repair repaired procedure as above, saw a few errors and I can see Grub menu again. Now everything works, so may my method could be helpful.

swnw

Fritz Hudnut (este-el-paz) wrote :

@swnw:

Thanks for posting that link on "boot-repair" . . . I think I have an older
version of it, but it didn't seem "easy" and it didn't always help out in
my multi-boot situation. But, might be worth a try. Interesting that with
a new install of ubuntu the problem reappeared, over the years if grub got
messed up often times running a fresh install would "fix" grub . . .
seemingly in this case, the opposite.

On Mon, Apr 27, 2020 at 11:31 PM swnw <email address hidden> wrote:

> Looks like delete is impossible too?
>
> My problem is probably solved, I wrote "probably" because during the
> procedure I can saw few errors which I can't explain, so we'll see.
>
> I use the first method from the "linuxconfig.org/ubuntu-boot-repair", im
> my second PC I disconnected boot HD, then installed Boot-Repair, pressed
> "Recomended repair" and restarted Ubuntu 20.04 and Grub menu appeared. So
> far so good.
> Then I made an experiment, I installed Ubuntu 20.04 with boot HD unplugged
> on my old Hitachi 2.5' HD using fresh iso image downloaded fron Ubuntu
> download section, prepared new USB bootable pendrive using BalenaEatcher,
> started Ubuntu and again Grub menu wasn't visible.
> So I installed Boot-Repair repaired procedure as above, saw a few errors
> and I can see Grub menu again. Now everything works, so may my method could
> be helpful.
>
> swnw
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1863434
>
> Title:
> 20.04 grub menu not visible
>
> Status in grub2 package in Ubuntu:
> Confirmed
>
> Bug description:
> T430
> Ubuntu MATE 20.04
>
> New installation.
>
> After initial boot there is a blank black screen where grub should be
> visible.
> Grub is functional but not visible.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: grub-common 2.04-1ubuntu18
> ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
> Uname: Linux 5.4.0-14-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.11-0ubuntu16
> Architecture: amd64
> CurrentDesktop: MATE
> Date: Sat Feb 15 09:19:13 2020
> InstallationDate: Installed on 2020-02-14 (0 days ago)
> InstallationMedia: Ubuntu-MATE 20.04 LTS "Focal Fossa" - Alpha amd64
> (20200214)
> ProcEnviron:
> LANGUAGE=en_US
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: grub2
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1863434/+subscriptions
>

Alex Barris (awlsomealex) wrote :

Another Lenovo ThinkPad T440s here. Can confirm I'm experiencing this issue as well with Ubuntu 20.04. Tried turning off "quiet" and "splash" and all I would get is a blank screen. I also tried turning off GRUB_TIMEOUT_STYLE, but still a blank screen. This device is dual-booted with Windows 10.

Package: grub2 2.04-1ubuntu26

Alex Barris (awlsomealex) wrote :

Using Hybrid Boot (Legacy/UEFI) instead of just UEFI seems to have "worked around" the problem. Also saw somewhere else to disable PPT.

Jonathan Long (longjon) wrote :

Same issue with a Lenovo T450s (integrated Intel graphics) with a fresh 20.04 install next to Windows.

At first, if I entered the bios config and then exited, I could get the grub menu as expected with a high resolution.

I tried Alex Barris' suggestion and changed to Legacy/UEFI from UEFI only and now I get a low resolution splash screen and see the grub menu. This is true even if I change my boot config back to UEFI only. So it's working, but now stuck in a low resolution.

orlapa (orlapa) wrote :

Hello,
I found a solution which worked for me on https://medium.com/@leijerry888/get-grub-menu-back-after-installing-ubuntu-20-04-alongside-windows-dab5de5afc37
It could help to someone else.
Regards

snealon (the-real-snealon) wrote :

I have an old Fujitsu Lifebook P701 running Ubuntu 20.04 which is experiencing the issue.
The laptop doesn't dual-boot and runs Ubuntu only.

@orlapa's link was very helpful. "GRUB_TIMEOUT_STYLE=menu" was already set in /etc/default/grub so I added in back in the "GRUB_TERMINAL=console" entry. After regenerating the GRUB config and rebooting, the GRUB menu now shows in text mode.

rdh61 (robert-d-hale) wrote :

Me too. Lenovo B590 laptop / Lubuntu 20.04 + Windows 10. No grub menu, although I can boot into either by pressing F12 to access boot device menu.

rdh61 (robert-d-hale) wrote :

Forgot to say, if I do nothing system boots normally into Lubuntu.

Marco Belloni (markomix) wrote :

I had the same issue. I've followed the link posted by orlapa (thanks!) and it worked
https://medium.com/@leijerry888/get-grub-menu-back-after-installing-ubuntu-20-04-alongside-windows-dab5de5afc37

Giuseppe (bygepp) wrote :

Same problem here on Kubuntu 20.04.
I have a Lenovo Z50-75 with AMD A10-7300 CPU, and Radeon R6 GPU.
Console mode make Grub showing, but it's not the best solution, since I can't theme it...

Giuseppe (bygepp) wrote :

Solved with changing boot mode to "Legacy support", with "UEFI first" option, in BIOS.
Since the PC is still booting in UEFI mode with those settings, I really don't know why, just changing settings to act in a slightly different way (with same result), the graphic Grub works...

Here's my laptop specs, if it can help:
Lenovo Z50-75 laptop
MoBo: Lenovo Lancer 5B3
CPU: AMD A10-7300
GPU: Radeon R6
BIOS updated to A4CN43WW (V 2.12) version.

Akshay Patil (akshay1612) wrote :

@orlapa solution worked for me. Follow the medium article.

tags: added: rls-ff-incoming
Changed in grub2 (Ubuntu):
importance: Undecided → High
Baris Demiray (baris-demiray) wrote :

I also confirm that I also had this problem on an HP Envy laptop after upgrading to Ubuntu 20.04.

@orlapa solution worked but first going to Legacy Boot Mode in BIOS as @awlsomealex said is very convenient to be able to boot first and then to edit the grub configuration.

Thanks a lot !

siepo (siepo2) wrote :

I also had such a problem.

Hardware: old HP ProBook 4330s with Intel graphics and UEFI boot, against HP recommendations. No secure boot.

I could boot by just sitting out the timeout. I found some posts recommending to rename or remove unicode.pf2 from /boot/grub and /boot/grub/fonts. This resulted in an ugly but functional menu.

My /etc/default/grub is:

GRUB_DEFAULT=0
GRUB_TIMEOUT_STYLE=menu
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="resume=none usbcore.autosuspend=-1"
GRUB_CMDLINE_LINUX=""

Tyler (soostoked) wrote :

Another person affected by this bug chiming in.
My set-up is a Lenovo T440s with UEFI-only booting. Latest BIOS/firmware. Secure boot is disabled. Grub menu appears fine on Debian itself, but with Ubuntu I've had this issue since around 19.04, IIRC.

@siepo2
Removing that font is the first time I've been able to see the grub menu without forcing `console` mode in `/etc/default/grub` OR enabling legacy boot/CMS boot options. I only had to remove the font from `/boot/grub/fonts`, the other location didn't seem to make a difference. Thank you! (And they are right, it's not pretty but it works).

I don't think it's directly related to the font, though. It's the same exact font found in Debian's grub-common package, but I do not have this same bug on a Debian installs on the same hardware.

Fritz Hudnut (este-el-paz) wrote :

@et al:

What's "interesting" is that considering the fairly substantial numbers of people having issues with grub . . . this bug still appears to be "unassigned"????

Seems like a problem interfering with function should get some faster attention??? other than folks figuring out their own work arounds???

Dimitri John Ledkov (xnox) wrote :

I wonder if `set gfxpayload=keep` somehow broke.
Or if the font is somehow corrupted.

tags: added: rls-ff-notfixing
removed: rls-ff-incoming
Dimitri John Ledkov (xnox) wrote :

Can someone please provide clear reproducer instructions?

Ideally starting with a clean state (i.e. no installs / brand install) with affected hardware details (model, firmware version numbers, SKU numbers, etc)

Changed in grub2 (Ubuntu):
status: Confirmed → Incomplete
Julian Andres Klode (juliank) wrote :

Also commentors, have you tried to press ESC to bring up the menu? It's hidden by default by design to give you a nice experience.

Fritz Hudnut (este-el-paz) wrote :

On Thu, Jun 18, 2020 at 8:30 AM Dimitri John Ledkov <
<email address hidden>> wrote:

> Can someone please provide clear reproducer instructions?
>
> Ideally starting with a clean state (i.e. no installs / brand install)
> with affected hardware details (model, firmware version numbers, SKU
> numbers, etc)
>
> ** Changed in: grub2 (Ubuntu)
> Status: Confirmed => Incomplete
>
> After initial boot there is a blank black screen where grub should be
> visible.
> Grub is functional but not visible.
>
> Gents:

A lot of people have had issues with grub in the last 6 months or longer
and they posted their data about in this bug report.

It appears to relate to "EFI" and possibly how the installer is handling
where grub is put when pointed to "efi/boot" . . .?? My case might be more
"complicated" because I have 4 internal drives with 5 distros of linux and
a few OSX installs. Don't have time for a fresh install right now, but
traditionally when running an install I would select "advanced partitioner"
and I would point grub to go to the EFI partition of the drive I was
installing into . . . and all would go well, on reboot I would hold
alt/option key in my '12 Mac Pro, that would fire OSX boot manager which
would show available disks to boot from, and the linux options would show
as "EFI Boot" and I would select that and that would load Grub.

6 or more months ago, that changed, with a fresh install the grub listing
got messed up and finding the "EFI Boot" disk would bring a "grub rescue"
screen, in several linux installs grub was "messed up" . . . fortunately I
had SuperGrub2 and using that I was able to boot into a linux console and
chroot into OpenSUSE where I could run os-prober . . . that after several
attempts was enough to get grub "fixed" . . . now if I just "free boot" the
computer with no keystrokes, grub shows up and I can pick my system.
Possibly that is because I already had Grub installed, so I could run
"grub-update" . . . ???

I don't know, but from my non-technical viewpoint it appears that something
in the installer is not installing the /boot/EFI file??? for grub,
something is going wrong there? Is my "best guess" as to the problem.

Gaurav Nelson (gauravnelson) wrote :

Changing `GRUB_TERMINAL=console` based on https://medium.com/@leijerry888/get-grub-menu-back-after-installing-ubuntu-20-04-alongside-windows-dab5de5afc37 fixed the issue for me. However, this is still a bug.

Steps to reproduce:

1. Install Windows first.
2. Make some space on the disk for installing Ubuntu.
3. Install Ubuntu 20.04
4. On new boot, screen goes blank and boots directly to Ubuntu.

Linux UBDESK 5.4.0-40-generic #44-Ubuntu SMP Tue Jun 23 00:01:04 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

ubdesk
    description: Notebook
    product: 20BWS1KY0L (LENOVO_MT_20BW_BU_Think_FM_ThinkPad T450s)
    vendor: LENOVO
    version: ThinkPad T450s
    serial: XXXXXXXX
    width: 64 bits
    capabilities: smbios-2.7 dmi-2.7 smp vsyscall32

*-firmware
          description: BIOS
          vendor: LENOVO
          physical id: 31
          version: JBET73WW (1.37 )
          date: 08/14/2019
          size: 128KiB
          capacity: 16MiB
          capabilities: pci pnp upgrade shadowing cdboot bootselect acpi usb biosbootspecification uefi

altadeos (altadeos) wrote :

Hello,

Same problem with a DELL XPS 13 9333 with touchscreen.

Best regards.

seeing this issue on an HP Pavilion model 3507c slimline desktop PC, booting via BIOS.

booted in to Grub menu immediately after installation and after initial power cycling. Subsequent reboot skipped grub menu and hung at system partition verification stage of the boot process.

Shut down machine for troubleshooting and it booted into the Grub menu once again. Subsequent reboots and power cycling once again yielded no grub menu and are still hanging at the system partition verification stage of the boot process.

Downloaded and installed Ubuntu 20.04 image only 3 days ago. Uninstalled Gnome, GDM, and related packages to run as a headless machine (Ubuntu Server installer seems to crash for me on most PC's and virtual machines). Also set up two USB drives to run within a software-based RAID 0 array.

When it does boot into Grub it leaves me at a terminal login, as expected, but this doesn't happen anymore regardless of how many times i reboot or cycle power. I've cleared my BIOS settings, tried booting from installation medium (video display was corrupted, making it difficult to install in the first place).

No options to recover the machine, access it's disk, etc. Please help!

a short video illustrating the issue described above: https://drive.google.com/file/d/1U2dYqGBRXP9cyVwuQEwJuVfEPWrLij5l/view

Thanks!

Fritz Hudnut (este-el-paz) wrote :

Salvador Ortiz:

Just replying to the request for help . . . keep in mind that this is a
"bug report" place, and probably not a place where help will be provided.
This bug has been posted for many months and yet so far appears to be
largely "unaddressed" . . .??? But for actual help you probably should go
to a forum and post your issues there??

F

On Wed, Jul 22, 2020 at 7:06 AM Salvador Ortiz <email address hidden>
wrote:

>
>
> When it does boot into Grub it leaves me at a terminal login, as
> expected, but this doesn't happen anymore regardless of how many times i
> reboot or cycle power. I've cleared my BIOS settings, tried booting from
> installation medium (video display was corrupted, making it difficult to
> install in the first place).
>
> No options to recover the machine, access it's disk, etc. Please help!
>
> a short video illustrating the issue described above:
> https://drive.google.com/file/d/1U2dYqGBRXP9cyVwuQEwJuVfEPWrLij5l/view
>
>
> Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1863434
>
>
>

Download full text (3.9 KiB)

Hello Fritz,

Thank you for your attention.

I understand that it is a place for bug reports. My intention was to
indicate that I too was experiencing this bug. I added the phrase "please
help!" to the end of my post simply to imply a sense of urgency. I decided
to report that I was experiencing the bug only after combing through many
forums, both those of Canonical as well as third party forums.

Many of the issues posted to the forums appear to be related to Ubuntu
installations concurrent to existing Windows installations. This is not the
case here. Nonetheless, I've tried many of the solutions presented on the
forums for both single installations as well as concurrent installations
but, unfortunately, none had made any progress in resolving my issue.

In the end, I was able to resolve the issue by reinstalling Ubuntu over my
old installation. This did not resolve the issue, however, but a solution
that worked for the user *orlapa* last May worked for me:

https://medium.com/@leijerry888/get-grub-menu-back-after-installing-ubuntu-20-04-alongside-windows-dab5de5afc37

I also used this documentation to verify that I didn't miss anything in
trying to configure Ubuntu Desktop to run headless:

https://ubuntuusertips.wordpress.com/2014/02/19/turn-ubuntu-desktop-into-an-headless-server/

That said, my post can be removed. I will see about removing it myself.

Thanks!

On Wed, Jul 22, 2020 at 10:06 AM Fritz Hudnut <email address hidden>
wrote:

> Salvador Ortiz:
>
> Just replying to the request for help . . . keep in mind that this is a
> "bug report" place, and probably not a place where help will be provided.
> This bug has been posted for many months and yet so far appears to be
> largely "unaddressed" . . .??? But for actual help you probably should go
> to a forum and post your issues there??
>
> F
>
> On Wed, Jul 22, 2020 at 7:06 AM Salvador Ortiz <<email address hidden>
> >
> wrote:
>
> >
> >
> > When it does boot into Grub it leaves me at a terminal login, as
> > expected, but this doesn't happen anymore regardless of how many times i
> > reboot or cycle power. I've cleared my BIOS settings, tried booting from
> > installation medium (video display was corrupted, making it difficult to
> > install in the first place).
> >
> > No options to recover the machine, access it's disk, etc. Please help!
> >
> > a short video illustrating the issue described above:
> > https://drive.google.com/file/d/1U2dYqGBRXP9cyVwuQEwJuVfEPWrLij5l/view
> >
> >
> > Thanks!
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1863434
> >
> >
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1863434
>
> Title:
> 20.04 grub menu not visible
>
> Status in grub2 package in Ubuntu:
> Incomplete
>
> Bug description:
> T430
> Ubuntu MATE 20.04
>
> New installation.
>
> After initial boot there is a blank black screen where grub should be
> visible.
> Grub is functional but not visible.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: grub-common 2.04-1ubuntu18
> P...

Read more...

Julian Andres Klode (juliank) wrote :

Again: The menu is not supposed to show. Please don't add further comments about that.

This bug has basically become inactionable because of the 40 or so misleading comments that are unhappy with a feature, rather than adding usable information to the bug.

Julian Andres Klode (juliank) wrote :

Good:

- Directly boots to Ubuntu, no menu shown
- Menu shown after boot failed

Bad:

- stuck in grub/does not load the kernel, but no display output
- no menu shown after reboot on a failed boot (but this is not the bug for that!)

Fritz Hudnut (este-el-paz) wrote :

@Salvador Ortiz:

I wasn't posting to get you to remove your post, just letting you know that so far "no action" has taken place here . . . in spite of a fair number of folks who have been affected by it.

@Julian:

I'm not sure what "inactionable" means, or why you would say "we don't want a menu" . . . when, for multi-booting we generally would want a menu? Compared to the usual 1 or 2 people on a bug this is quite a bit more . . . I found problems with "UEFI" as possibly involved . . . other people found work arounds . . . but a "bug" is a "bug" . . . and should be "actionable" or investigated until solution found?? If people are "complaining" then what is the basis of that complaint??

Norbert Lüdtke (effendi12) wrote :

I have this bug too.
Observation: When I entered the UEFI setup (pressing F2 while powering up on my Lenovo flex) the Grub menu appeared after exiting UEFI setup. Strange!

Lastly activating `GRUB_TERMINAL=console` based on https://medium.com/@leijerry888/get-grub-menu-back-after-installing-ubuntu-20-04-alongside-windows-dab5de5afc37 fixed the issue for me.

Ugo Robain (wizzhard) wrote :

I have the same problem too with a fresh dual boot install.

Setting the following settings brought back the conole menu but themes doesn't work anymore.

GRUB_TIMEOUT_STYLE=menu
GRUB_TERMINAL=console

Ishrak (irik77587) wrote :

I installed Ubuntu 20.04 from 18.04 Now I can use grub blind. Grub menu do appear but not on screen. After pressing Esc twice, booting stopped. But nothing appeared on screen. I typed reset up and hit enter and my pc booted to bios. That means, every time I hit Esc, Grub does load but it’s UI don’t show up. Nonetheless grub is working. It’s just became invisible.

Ishrak (irik77587) wrote :

Typing mistake: I typed fwsetup not reset

Ishrak (irik77587) wrote :

as you can see in #48 this issue is related to theme

Fritz Hudnut (este-el-paz) wrote :

@Ishrak:

I personally hope that you can get a handle on this problem . . . not sure
if it goes "upstream" into Debian terrain, because I ran an install of
Bullseye Testing yesterday, and at least it didn't wipe out grub listings
as ubuntu has in recent months, but it re-ordered them, and had some issue
with not being able to launch one of my 6 distros . . . . Again had to get
over to TW and run their os-prober command to get it back into shape . . .
. I "know" if I boot into Lubuntu and let apt update the various grub
packages, likely again grub connections will be wiped and back to SG2 I
will have to go . . . .

F

Ishrak (irik77587) wrote :

#48 is the workaround until a fix is applied

Fritz Hudnut (este-el-paz) wrote :

@Ishrak:

Thanks for the follow-up and the interest in the problem(s) with grub2 in ubtuntu flavorings. When I first signed on to this bug report I had this "grub menu is gone" problem, but that's because I was looking for it in an "EFI boot disk" wherein I would option key on boot to OSX boot manager, select the appropriate EFI disk, and then the grub menu would appear and I could select my chosen distro.

When or before this bug hit, grub menu was removed from the EFI disk, and took awhile to find it with cold booting w/o keystroke . . . grub menu reappeared, but then the new problem became that with every ubuntu upgrade to grub2 packages, that new list and menu gets removed, gone totally and only one of the ubuntu choices will boot . . . until I get SG2 disk and boot to OpenSUSE and run their os-prober on the console, then grub menu is again fine until ubuntu decides to "upgrade" grub2 . . . again removing the menu listings and connections to grub, no "welcome to grub" . . . .

\So I guess in that sense I still have the "grub menu is not appearing" problem. I was mostly in 20.10 and the problem is still happening, now I have Lu 20.10, LM 20.04, and new install of Deb 11 Testing, which also seemed to mess with grub yesterday . . . . I'll take a look at #48 and see if it makes any difference in my situation.

Ishrak (irik77587) wrote :

@Fritz Hudnut

It's okay. I didn't mean that way or anything. I don't dual boot. I have separate dedicated ubuntu machine with UEFI boot. I know, it will skip grub and boot to the only OS I have which is ubuntu unless I press ESC. So for me #57 does not apply.

Ishrak (irik77587) wrote :

IMO #35 should be unrelated as it determines linux boot mode ( graphical or console ). It should not have anything to do with GRUB.

Sai Vinoba (saivinob) wrote :

All, I had same issue and on my Mac following worked for me.

1) make sure "DEFAULT_TIMEOUT_STYLE=hidden" is either commented out or has 'menu' as value, in /etc/default/grub.
2) copy grubx64.efi to shimx64.efi in /boot/efi/EFI/ubuntu/

I was having error related to MokListRT, something like, "Failed to set MokListRT: Invalid Parameter". So copying grubx64.efi to shimx64.efi fixed that error plus now the menu is showing properly.

Not sure if this will be the case on PCs as well but at least those of you having similar issue on a Mac can try.

UlfZibis (ulf-zibis) wrote :

I have the same issue on Lenovo T540p and the latest BIOS update. It has no dual graphics, only Intel.
Instead of the GRUB boot menu I only see a black screen with big "Lenovo" logotype. After a while, Ubuntu is started automatically, as it is the first entry in the boot menu.
However, the boot menu is functional with the up/down keys + Enter.

Starting the PC from an external drive with Ubuntu life media or MultiSystem USB drive, it's GRUB boot menu is visible as usual.

Fritz Hudnut (este-el-paz) wrote :

@UlfZibis:

On Thu, Nov 12, 2020 at 4:55 PM UlfZibis <email address hidden> wrote:

> I have the same issue on Lenovo T540p and the latest BIOS update. It has
> no dual graphics, only Intel.
> Instead of the GRUB boot menu I only see a black screen with big "Lenovo"
> logotype. After a while, Ubuntu is started automatically, as it is the
> first entry in the boot menu.
> However, the boot menu is functional with the up/down keys + Enter.
>
> Starting the PC from an external drive with Ubuntu life media or
> MultiSystem USB drive, it's GRUB boot menu is visible as usual.
>
> --
>

Thanks for the update, seems like the issues are continuing . . . my basic
appraoch for the last few mnths is to use synaptic for upgrades in ubuntu
flavors and NOT upgrade grub2 packages, whereas over in OpenSUSE and
Manjaro grub2 upgrades are fine and that keeps my grub working and visible
to boot other systems . . . .

UlfZibis (ulf-zibis) wrote :

A workaround is to disable QUICK start in the BIOS Setup in my Lenovo T540p.

UlfZibis (ulf-zibis) wrote :

I had this problem combined with: https://bugs.launchpad.net/bugs/1904076

Fritz Hudnut (este-el-paz) wrote :

UlfZibis:

Interesting to note that your issue also relates to EFI partition, which
somewhere several months back I posted that that seemed to be a
"commonality" to many of the posters in this bug report . . . .

On Fri, Nov 13, 2020 at 4:41 AM UlfZibis <email address hidden> wrote:

> I had this problem combined with:
> https://bugs.launchpad.net/bugs/1904076
>
>
>

abssorb (abssorb) wrote :

Repeatable on dual-boot. The expected behaviour for dual-boot is that the grub menu will show.

Whatever process detects dual-boot during reconfiguration of grub is failing as of 20.04.1
grub-mkconfig ??

This also occurs when using boot-repair, if boot-repair performs a reinstall of grub, then the new config follows the single boot convention and /etc/default/grub option is changed to:
GRUB_TIMEOUT_STYLE=hidden

To solve, manually change this addition back to default GRUB2 setting of:
GRUB_TIMEOUT_STYLE=
which defaults to show, or set explicitly using
GRUB_TIMEOUT_STYLE=menu

then update-grub

This was mentioned in post #23. Adding this comment to show it's repeatable. If you re-install grub2, then a dual-boot is not recognised.

@Julian Please re-assess. Your comments match only a single boot install.

Fritz Hudnut (este-el-paz) wrote :

Amazing that this bug has affected so many, considering that bug reports would be a small percentage of total number . . . and yet, it continues, essentially unaddressed . . . apparently a "non-issue." Or the expectation is it is "acceptable" that with every update to grub, the /etc/default/grub will have to be re-re-re-edited . . . to fix the bug???

The capacity of grub is to handle "multi-boot" without requiring edits . . . and the proof of that is my OpenSUSE and Manjaro updates provide a working grub menu . . . w/o any special handling from me. I'm assuming that my three ubuntu/debian based systems continue remove all other systems from grub, with each update, as they have over the last year, by now???? "Not a problem . . . ." ???

Martin (chrysopras) wrote :

I ran into the same problem, and found the solution. Initially in grub2 the configuration is set to GRUB_GFXMODE=auto. On several systems grub seems to be unable to autodetect the proper resolution.
(In grub console "videoinfo" returned no (!) output on my system.) After altering to GRUB_GFXMODE=1280x800 which is the known resolution of my screen, yours may differ of course, my lovely bootmenu (don't forget to run update-grub after altering the config file) was visible again.

Formerly grub's default configuration seemed to be GRUB_TERMINAL= console, which now has been commented out. That leads to a nice output (as grub themes are supported) if it works. If not, it leads into the dark...

Fritz Hudnut (este-el-paz) wrote :

@Martin:

O . . . the darkness . . . the darkness . . . .

My question remains . . . will there be a time in which "ubuntu" gets this
straightened out in their upstream "code" for grub . . . or biz as it has
been for at least a year . . . the time of "darkness" . . . . Before this
time of obscurity in grub2, grub2 actually functioned in the realm of
ubuntu . . . then there was an eclipse which has remained and been
supported as the "status quo" . . . seemingly not possible to adjust by the
devs in charge of ubuntu's grub2 packages???

Petr Havel (pe-havel) wrote :

I had same problem on Lenovo E530. (Dual boot: Windows + Mint)
I solved it: On BIOS settings change boot start from Diagnostic to Quick.
(Not solve when I change UEFI/first/legacy settings.)

space_agent (bayer-christoph) wrote :

I read through tons of websites and couldn't resolve my problem. I just want to see the grub boot menu again in a dual boot with ubuntu 20.04 and windows 10. This already bugged me to the point where I questioned my decision to use ubuntu.
It's sad that such a fundamental thing is not getting attention it seems.

Fritz Hudnut (este-el-paz) wrote :

@space_agent:

Agreed, it is sad . . . and key point on the bug is that at the top line for "assigned" it shows "unassigned" . . . very interesting considering the large number of people who have posted on this bug report over . . . quite a long awhile.

It does seem like some folks have figured out a "work around" . . . none of them seemed to apply to my investigation of their suggestions . . . I'm still waiting for the devs to be "assigned" to the situation . . . and get a real fix in the tubes on it.

But, the great joy of linux is that there are "other options" to choose from . . . many of them. In the case of ubuntu it appears that the vision statement is "ubuntu first" . . . or only, they figure that most users only will use one OS, and so after an install it will only boot into ubuntu. But for multi-boot users such as myself that approach is problematic. Just last week I ran an apt on one of my ubuntu installs and once again upgrading grub in that process wiped my grub menu . . . so the problem still continues . . . .

I had to once again boot the SuperGrub2 disk . . . find the "vmlinuz" for my Tumbleweed install and then run their "os-prober" to get my grub menu back . . . . I've been with ubuntu flavors for many years, but this problem has diminished my enthusiasm . . . because "they don't recognize it as a viable issue . . ." . . . to even "assign" it . . . .

William Pabon (williepabon) wrote :

@space_agent:

Had the same problem. The following workaround worked for me. You may try it.
In the /etc/default/ grub file set the following lines as shown:

GRUB_TIMEOUT=5
GRUB_TERMINAL=console

Save the file and then execute:

sudo update-grub

See if it works for you.

Fritz Hudnut (este-el-paz) wrote :

@William P:

See, like in my case, in that file I have:

[CODE] GRUB_DEFAULT=0
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX=""

# Uncomment to enable BadRAM filtering, modify to suit your needs
# This works with Linux (no patch required) and with any kernel that obtains
# the memory map information from GRUB (GNU Mach, kernel of FreeBSD ...)
#GRUB_BADRAM="0x01234567,0xfefefefe,0x89abcdef,0xefefefef"

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console [/CODE]

So would anyone interested want to "disable graphical terminal" by uncommenting that line??

Really my personal issue is on the updating or installing of grub in ubuntu flavors that the grub menu on cold boot gets scrubbed and only one option in the ubuntu world will boot . . . no matter how I try to boot the system . . . only fixed by running os-prober in TW, or sometimes needing to chroot into TW to do the same action . . . it is "a pain" . . . only happens in ubuntu, possibly in Debian . . . not in OpenSUSE and not in Manjaro . . . .

William Pabon (williepabon) wrote :

@Fritz:

I wanted my grub menu to show and the said changes produced the desired result. It may not be elegant, but it worked for me.

Fritz Hudnut (este-el-paz) wrote :

@william:

Well if it works, then that is elegance . . . ???

My menu does work because it is "run" by OpenSUSE . . . only the ubuntu flavors "disappear" my menu.

My question was, does "disabling graphical terminal" in a Mac actually "fix" the problems that this thread is discussing??? By uncommenting that line, the grub menu will appear on booting??

Clearly my "TIMEOUT" matches your suggestion . . . that was in my Deb Bullseye distro this am.

space_agent (bayer-christoph) wrote :

@William Pabon thanks for your hint but it didn't work for me.
In fact I was messing up here. I had a custom.cfg in
/boot/grub that overruled all my settings from /etc/default/grub. So, after modifying this
file everything works now!

YannUbuntu (yannubuntu) wrote :

Dear all,

Those who have a partition available for tests, please could you install fresh Ubuntu 18.04.5, 20.04.2, 20.10 (and some other distros if you can), and indicate which versions have this bug, and which don't ?

That may give us a hint.

Fritz Hudnut (este-el-paz) wrote :

@YannUbuntu:

I don't have time for fresh installs . . . but, as I've posted here a few times, if grub2 is updated in any of my ubuntu or ubuntu based, and likely in Debian . . . the grub menu and the 6 options menu are gone . . . and usually only ubuntu will boot.

I have Lu 21.04, Linux Mint 20, and Debian Bullseye . . . the problem has been going on for at least a year now . . . definitely was happening in 20.04 and 20.10 iterations . . . I had a U-MATE 20xxxx install for awhile that manifested this same issue, got corrupted and turned into Debian.

I am too old to know for sure, but I don't think it was happening in 18xx???? Problem does not manifest with OpenSUSE options or Manjaro options running grub2 updates.

Giuseppe D'Angelo (dangelo) wrote :

I have just upgraded from 18.04 to 20.04.2. 18.04 did not have this problem and simply showed G

I'm affected by this bug as well. I have a Lenovo W550s; after the BIOS checks (which just show the Lenovo logo), GRUB does not appear (but the Lenovo logo is still visible). However, GRUB is there, waiting 10 seconds for my decision.

If don't do anything, after 10 seconds, Ubuntu starts;
I can boot immediately into Ubuntu by pressing enter;
I can boot into Windows by pressing down 2 times and pressing enter.

If I enter the BIOS setup and then quit discarding the settings, then GRUB appears as normal.

Might it be that it's simply not configuring/clearing the screen properly?

Anyways: I'd consider this VERY CLOSE to "makes the system unbootable", so please do something about it.

Fritz Hudnut (este-el-paz) wrote :

@GD:

They do look like aspects of the same problem . . . a problem that is "unique" to ubuntu's handling of grub, which for most single boot users it "doesn't matter" . . . but for multi-boot users . . . it does. Just means to me that "ubuntu" flavors are being whittled down in number . . . . There are other options to choose from, options that let grub do what it needs to do, etc. : - (

Same problem here. My computer is an Acer E1-571 with the latest firmware update.
Here the data sheet: https://www.acer.com/datasheets/2012/4876/E1-571/NX.M09ET.005.html

With Bionic, Grub 2.02 correctly recognise Windows 10 and show the Grub menu.
Also with Focal, Grub 2.04 correctly recognise Windows 10 but not show the Grub menu.

I've found 3 workaround:
1) Downgrade Grub 2.04 to 2.02 using the deb packages present in the Bionic repositories or upgrade to 2.06 from sources.
2) Enable the `console` mode (remove the "#" from `#GRUB_TERMINAL=console` in `/etc/defautl/grub`), but this disables graphics themes.
3) Disable Secure Boot and use `efibootmgr` to set the "grubx64.efi" boot entry as first.

With Secure Boot enabled, the boot is possible only via the "shimx64.efi" boot entry. If the boot is from this entry, the Grub menu is visible only in console mode. The same if Secure Boot is disabled, so the problem is not Secure Boot. The same downgrading Shim Signed to 1.37 version, from the Bionic repositories, so the problem is not Shim.

In Ubuntu Bionic (that use Grub 2.02, Shim Signed 1.37 and show the graphics Grub menu out of the box) I upgrade Shim Signed to 1.40, the Focal version, and the Grub menu is still showed in graphics mode, regardless of Secure Boot. This confirm the problem is not Shim or Secure Boot, but Grub 2.04 on Focal (and maybe Groovy and Hirsute).

Fritz Hudnut (este-el-paz) wrote :

@iononsbalgiomai:

This is interesting about the possibility that grub 2.06 might be the "solution" to the problem. Today I'm in LM 29.1 MATE (focal based) and synaptic shows only grub 2.04 as "available" . . . .

I'll have to check my hirsute Lubuntu install in a day or so, but so far all "ubuntu" editions of grub have only selected themselves to boot up, no menu option list provided.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers